#include <iostream>
int main() {
  std::ios::sync_with_stdio(0);
  std::cin.tie(0);
  freopen("assign.in", "r", stdin);
  freopen("assign.out", "w", stdout);
  int t; std::cin >> t;
  while (t--) {
    std::cout << 0 << '\n';
  }
}
